<?php
/**
 * Класс для работы с API 2ip.com.ua
 *
 * @author Alexey Fedotov (Allay) <alex.fedotov@icloud.com>
 */
class ipgeo
{
	public function __construct()
    {
	  $this->country = $this->_country();
	  $this->country_rus = trim($this->_country(true));
	  $this->iso = strtolower($this->_country(false,true));
	}
    
	
	protected function _country($rus = false, $code = false) {
	 static $country;
	 $arr = $this->request_('geo',long2ip(browser::getIpLong()));
	 return $country = $rus?$arr['country_rus']:$arr['country'.($code?'_code':'').''];
	}
	 
	protected function request_($key, $ip) {	 
	 if (function_exists('curl_init')) {
	  $curl = curl_init();
      curl_setopt($curl,CURLOPT_URL,'http://api.2ip.com.ua/'.$key.'.json?ip='.$ip);
      curl_setopt($curl,CURLOPT_RETURNTRANSFER,true);
	  $return = curl_exec($curl);
      curl_close($curl);
  	 }
	 return json_decode($return, true);	
	}


}