<?php
/**
 * Класс для работы с сервисом LittleSMS.ru
 *
 * @author Alexey Fedotov (Allay) <alex.fedotov@icloud.com>
 */
class sms extends ipgeo
{

protected
    $set = null,
	$url = 'http://littlesms.ru/api';
	
	public function __construct()
    {
	  parent::__construct();
	  $this->set = self::_set_();
	  $this->tk = $this->is_country(true);
	  $this->apikey = $this->set ['apikey'];
	  $this->email = $this->set ['email'];
    }

    public function is_aut($user,$apikey) {
	 $this->apikey = $apikey;
	 $this->email = $user;
	 $ank = self::_request_('user/balance');
	 if($ank['status'] == 'error')
	 return $ank['error'];
	 else
	 return 'ok';
	}
	
	public function list_sender($user = false,$apikey = false) {
	    if(!empty($user) && !empty($apikey)) {
		 $this->apikey = $apikey;
	     $this->email = $user;
	    }
	 $list = $this->_request_('sender/list');
	    foreach ($list as $key => $value) {
		 return $value;
		}
	}
	
	public function create_sender($name,$desc) {
	 $this->ret = $this->_request_('sender/create', array('name'=>$name,'description'=>$desc,'use_default'=>1));
	 return $this->get_value('status');
	}
	
	
	
	public function list_price($sql = true){
	    if($sql){
		 $q = mysql_query("SELECT * FROM `sms_price` WHERE `id` > 0");
            if (!mysql_num_rows($q)) {
	         return false;
	        }
	     return true;
	    }
	    else {
	     return ini::read(H . '/sys/ini/sms.price.ini',true);
	    }
	}
	
	public function balance() {
	 $this->ret = $this->_request_('user/balance');
	 return $this->get_value('balance');
	}
	
	public function pay_create($system,$value,$phone = false) {
	 $this->ret = $this->_request_('payment/create',array('system'=>$system,'value'=>$value, 'phone'=>($phone?$phone:'')));
	 return $this->ret;
	}
	
	public function invoice_list($id = false) {
	    if($id) {
		 $this->ret = $this->_request_('payment/list',array('id'=>$id));
		 return $this->get_value('list');
		}
	 $this->ret = $this->_request_('payment/list');
	 return $this->get_value('list');
	}
	
	public function invoice_delete($id) {
	 $this->ret = $this->_request_('payment/delete',array('id'=>$id));
	 return $this->ret;
	}
	
	public function send($num,$mess) {
	 $this->ret = $this->_request_('message/send',array('recipients'=>$num,'message'=>$mess));
	 return $this->ret;
	}
	
	public function codegen($len) {
     $password = '';
     $numbers = '1234567890';
        for ($i = 0; $i < $len; $i++) {
            switch (mt_rand(1, 3)) {
                case 3 :
                 $password .= $numbers [mt_rand(0, 9)];
                 break;
                case 2 :
                 $password .= $numbers [mt_rand(0, 9)];
                 break;
                case 1 :
                 $password .= $numbers [mt_rand(0, 9)];
                break;
            }
        }
     return $password;
    }
	
	public function is_country($tk = false) {
	 $countries = mysql_fetch_assoc(mysql_query("SELECT `switch`, `tk` FROM `sms_price` WHERE `iso` = '" . my_esc($this->iso) . "' LIMIT 1"));
        if($countries && $countries['switch']) {
	     return $tk?$countries['tk']:true;
	    }
	    elseif (!$countries) {
	     return false;
	    }
	 return false;
	}
	
    protected function _set_(){
     return ini::read(H . '/sys/ini/sms.settings.ini');
	}
	
	protected function get_value($param = null) {
    if ($this->ret ['status'] == 'success') {
      return $param ? $this->ret[$param] : $this->response;
    }
    return $this->ret;
    }
	
		
	protected function _request_ ($fnc, $params = array()) {
	 $url = $this->url . '/' .$fnc;
	 $params = array_merge($params, array('user' => $this->email, 'apikey' => $this->apikey));
	 $post = http_build_query($params, '', '&');
	 
	 if (function_exists('curl_init')) {
	  $curl = curl_init();
      curl_setopt($curl,CURLOPT_URL,$url);
	  curl_setopt($curl, CURLOPT_POSTFIELDS, $post);
      curl_setopt($curl,CURLOPT_RETURNTRANSFER,true);
	  $return = curl_exec($curl);
      curl_close($curl);
  	 }
	 return json_decode($return, true);	
	}


}